public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/files/, dev-python/frozendict/
@ 2023-02-17  9:40 Michał Górny
  0 siblings, 0 replies; 2+ messages in thread
From: Michał Górny @ 2023-02-17  9:40 UTC (permalink / raw
  To: gentoo-commits

commit:     9af5548823c1c8b8795f0e11d647670bd03245d5
Author:     Petr Vaněk <arkamar <AT> atlas <DOT> cz>
AuthorDate: Thu Feb 16 20:41:15 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Feb 17 09:40:21 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9af55488

dev-python/frozendict: enable py3.11

- applied patch which makes native extension optional for unsupported
  python versions
- skip tests of native extension for python versions where it is not
  available

Upstream-PR: https://github.com/Marco-Sulla/python-frozendict/pull/69
Signed-off-by: Petr Vaněk <arkamar <AT> atlas.cz>
Closes: https://github.com/gentoo/gentoo/pull/29623
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 .../frozendict-2.3.4-optional-extension.patch      | 20 +++++++++++
 dev-python/frozendict/frozendict-2.3.4-r1.ebuild   | 42 ++++++++++++++++++++++
 2 files changed, 62 insertions(+)

diff --git a/dev-python/frozendict/files/frozendict-2.3.4-optional-extension.patch b/dev-python/frozendict/files/frozendict-2.3.4-optional-extension.patch
new file mode 100644
index 000000000000..f64402b023e3
--- /dev/null
+++ b/dev-python/frozendict/files/frozendict-2.3.4-optional-extension.patch
@@ -0,0 +1,20 @@
+Autodetect availability of C extension. Taken from upstream PR.
+
+Upstream-PR: https://github.com/Marco-Sulla/python-frozendict/pull/69
+
+diff --git a/setup.py b/setup.py
+index 0325383..0667b59 100755
+--- a/setup.py
++++ b/setup.py
+@@ -163,7 +163,7 @@ if len(argv) > 1 and argv[1] in custom_args:
+ impl = python_implementation()
+ 
+ if custom_arg == None:
+-    if impl == "PyPy":
++    if impl == "PyPy" or not src_path.exists():
+         custom_arg = "py"
+     else:
+         custom_arg = "c"
+-- 
+2.39.1
+

diff --git a/dev-python/frozendict/frozendict-2.3.4-r1.ebuild b/dev-python/frozendict/frozendict-2.3.4-r1.ebuild
new file mode 100644
index 000000000000..986217d9dcee
--- /dev/null
+++ b/dev-python/frozendict/frozendict-2.3.4-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="A simple immutable mapping for python"
+HOMEPAGE="
+	https://github.com/Marco-Sulla/python-frozendict/
+	https://pypi.org/project/frozendict/
+"
+SRC_URI="
+	https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/python-${P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+	"${FILESDIR}/${P}-optional-extension.patch"
+)
+
+python_test() {
+	local EPYTEST_IGNORE=()
+	# skip tests of native extension for python versions where it is not available
+	[[ ${EPYTHON} == python3.11 ]] && EPYTEST_IGNORE+=(
+		test/test_frozendict_c.py
+		test/test_frozendict_c_subclass.py
+	)
+
+	rm -rf frozendict || die
+	epytest
+}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/files/, dev-python/frozendict/
@ 2023-03-04  5:53 Michał Górny
  0 siblings, 0 replies; 2+ messages in thread
From: Michał Górny @ 2023-03-04  5:53 UTC (permalink / raw
  To: gentoo-commits

commit:     7750a300134e9870e3a3ec97b2eac4e114293bb0
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  4 05:51:09 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Mar  4 05:53:07 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7750a300

dev-python/frozendict: Remove old

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/frozendict/Manifest                     |  1 -
 .../frozendict-2.3.4-optional-extension.patch      | 20 -----------
 dev-python/frozendict/frozendict-2.3.4-r1.ebuild   | 42 ----------------------
 dev-python/frozendict/frozendict-2.3.4.ebuild      | 31 ----------------
 4 files changed, 94 deletions(-)

diff --git a/dev-python/frozendict/Manifest b/dev-python/frozendict/Manifest
index c791a05a85f7..4bdae1f6bc76 100644
--- a/dev-python/frozendict/Manifest
+++ b/dev-python/frozendict/Manifest
@@ -1,2 +1 @@
-DIST frozendict-2.3.4.gh.tar.gz 307399 BLAKE2B ac6311182ed2ba4925a14a145b4d30a0241978f55ae7a81cebc534ede812ca77097f0f8c7eeb08e8cbd6240e036d3b5035bd3e9b284a55b638c93717e3a20258 SHA512 15acc4fceb5e2228ee3423d4a5b86c529e9bdcb7264f59139cbde6194983901a17da8036bebf53d7d8057ce52666031e90eb1ca358bfd374c651fd60743988dc
 DIST frozendict-2.3.5.gh.tar.gz 307566 BLAKE2B 8d8b7d483e248be5de3c6e689dbb7e8dc40f8a8112456308e6a0e633dee04640aa0bb43edcf07e2a9829b87b8d082aa0926581622372224e9636cca27eaeaef0 SHA512 9e3820f2a24f2362f1be82049df871449a5225a927efa7735a2e9320e3c9f835a4a0a99a0037a3366df55a5744b38e96b358a9cc624defa79f45a5bff4c3b61d

diff --git a/dev-python/frozendict/files/frozendict-2.3.4-optional-extension.patch b/dev-python/frozendict/files/frozendict-2.3.4-optional-extension.patch
deleted file mode 100644
index f64402b023e3..000000000000
--- a/dev-python/frozendict/files/frozendict-2.3.4-optional-extension.patch
+++ /dev/null
@@ -1,20 +0,0 @@
-Autodetect availability of C extension. Taken from upstream PR.
-
-Upstream-PR: https://github.com/Marco-Sulla/python-frozendict/pull/69
-
-diff --git a/setup.py b/setup.py
-index 0325383..0667b59 100755
---- a/setup.py
-+++ b/setup.py
-@@ -163,7 +163,7 @@ if len(argv) > 1 and argv[1] in custom_args:
- impl = python_implementation()
- 
- if custom_arg == None:
--    if impl == "PyPy":
-+    if impl == "PyPy" or not src_path.exists():
-         custom_arg = "py"
-     else:
-         custom_arg = "c"
--- 
-2.39.1
-

diff --git a/dev-python/frozendict/frozendict-2.3.4-r1.ebuild b/dev-python/frozendict/frozendict-2.3.4-r1.ebuild
deleted file mode 100644
index 986217d9dcee..000000000000
--- a/dev-python/frozendict/frozendict-2.3.4-r1.ebuild
+++ /dev/null
@@ -1,42 +0,0 @@
-# Copyright 2022-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
-	https://github.com/Marco-Sulla/python-frozendict/
-	https://pypi.org/project/frozendict/
-"
-SRC_URI="
-	https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-PATCHES=(
-	"${FILESDIR}/${P}-optional-extension.patch"
-)
-
-python_test() {
-	local EPYTEST_IGNORE=()
-	# skip tests of native extension for python versions where it is not available
-	[[ ${EPYTHON} == python3.11 ]] && EPYTEST_IGNORE+=(
-		test/test_frozendict_c.py
-		test/test_frozendict_c_subclass.py
-	)
-
-	rm -rf frozendict || die
-	epytest
-}

diff --git a/dev-python/frozendict/frozendict-2.3.4.ebuild b/dev-python/frozendict/frozendict-2.3.4.ebuild
deleted file mode 100644
index 9ba0f0bd0a42..000000000000
--- a/dev-python/frozendict/frozendict-2.3.4.ebuild
+++ /dev/null
@@ -1,31 +0,0 @@
-# Copyright 2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..10} )
-
-inherit distutils-r1
-
-DESCRIPTION="A simple immutable mapping for python"
-HOMEPAGE="
-	https://github.com/Marco-Sulla/python-frozendict/
-	https://pypi.org/project/frozendict/
-"
-SRC_URI="
-	https://github.com/Marco-Sulla/python-frozendict/archive/v${PV}.tar.gz
-		-> ${P}.gh.tar.gz
-"
-S="${WORKDIR}/python-${P}"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="amd64 ~ppc64"
-
-distutils_enable_tests pytest
-
-python_test() {
-	cd "${T}" || die
-	epytest "${S}/test"
-}


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2023-03-04  5:53 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-03-04  5:53 [gentoo-commits] repo/gentoo:master commit in: dev-python/frozendict/files/, dev-python/frozendict/ Michał Górny
  -- strict thread matches above, loose matches on Subject: below --
2023-02-17  9:40 Michał Górny

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox